import { OpenSeaAPI } from "./api";
import { OpenSeaSDK } from "./sdk";
import { Chain, EventData, EventType } from "./types";
/**
 * Example setup:
 *
 * import { ethers } from 'ethers'
 * import { OpenSeaPort, Chain } from 'opensea-js'
 * const provider = new ethers.providers.JsonRpcProvider('https://mainnet.infura.io')
 * const client = new OpenSeaPort(provider, {
 *   chain: Chain.Mainnet
 * })
 */
export { OpenSeaSDK, OpenSeaSDK as OpenSeaPort, OpenSeaAPI, EventType, Chain, };
export type { EventData };
